loci.formats.in

## Class CellSensReader.Pyramid

- java.lang.Object
- - loci.formats.in.CellSensReader.Pyramid

- Enclosing class:
    CellSensReader

      class CellSensReader.Pyramid
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Long` | `acquisitionTime`
    `java.lang.Integer` | `binningX`
    `java.lang.Integer` | `binningY`
    `java.lang.Integer` | `bitDepth`
    `java.lang.Double` | `blueGain`
    `java.lang.Double` | `blueOffset`
    `java.util.ArrayList<java.lang.String>` | `channelNames`
    `java.util.ArrayList<java.lang.Double>` | `channelWavelengths`
    `java.lang.Long` | `defaultExposureTime`
    `java.util.ArrayList<java.lang.String>` | `deviceIDs`
    `java.util.ArrayList<java.lang.String>` | `deviceManufacturers`
    `java.util.ArrayList<java.lang.String>` | `deviceNames`
    `java.util.ArrayList<java.lang.String>` | `deviceTypes`
    `java.util.HashMap<java.lang.String,java.lang.Integer>` | `dimensionOrdering`
    `java.util.ArrayList<java.lang.Long>` | `exposureTimes`
    `java.lang.Double` | `gain`
    `java.lang.Double` | `greenGain`
    `java.lang.Double` | `greenOffset`
    `boolean` | `HasAssociatedEtsFile`
    `java.lang.Integer` | `height`
    `java.lang.Double` | `magnification`
    `java.lang.String` | `name`
    `java.lang.Double` | `numericalAperture`
    `java.lang.String` | `objectiveName`
    `java.util.ArrayList<java.lang.String>` | `objectiveNames`
    `java.util.ArrayList<java.lang.Integer>` | `objectiveTypes`
    `java.lang.Double` | `offset`
    `java.util.Hashtable<java.lang.String,java.lang.Object>` | `originalMetadata`
    `java.lang.Double` | `originX`
    `java.lang.Double` | `originY`
    `java.util.ArrayList<java.lang.Long>` | `otherExposureTimes`
    `java.lang.Double` | `physicalSizeX`
    `java.lang.Double` | `physicalSizeY`
    `java.lang.Double` | `redGain`
    `java.lang.Double` | `redOffset`
    `java.lang.Double` | `refractiveIndex`
    `java.lang.Integer` | `tileOriginX`
    `java.lang.Integer` | `tileOriginY`
    `java.util.ArrayList<java.lang.Double>` | `tValues`
    `java.lang.Integer` | `width`
    `java.lang.Double` | `workingDistance`
    `java.lang.Double` | `zIncrement`
    `java.lang.Double` | `zStart`
    `java.util.ArrayList<java.lang.Double>` | `zValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pyramid()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### magnification

          public java.lang.Double magnification

    - #### numericalAperture

          public java.lang.Double numericalAperture

    - #### objectiveName

          public java.lang.String objectiveName

    - #### refractiveIndex

          public java.lang.Double refractiveIndex

    - #### workingDistance

          public java.lang.Double workingDistance

    - #### width

          public java.lang.Integer width

    - #### height

          public java.lang.Integer height

    - #### tileOriginX

          public java.lang.Integer tileOriginX

    - #### tileOriginY

          public java.lang.Integer tileOriginY

    - #### originX

          public java.lang.Double originX

    - #### originY

          public java.lang.Double originY

    - #### physicalSizeX

          public java.lang.Double physicalSizeX

    - #### physicalSizeY

          public java.lang.Double physicalSizeY

    - #### acquisitionTime

          public java.lang.Long acquisitionTime

    - #### bitDepth

          public java.lang.Integer bitDepth

    - #### binningX

          public java.lang.Integer binningX

    - #### binningY

          public java.lang.Integer binningY

    - #### gain

          public java.lang.Double gain

    - #### offset

          public java.lang.Double offset

    - #### redGain

          public java.lang.Double redGain

    - #### greenGain

          public java.lang.Double greenGain

    - #### blueGain

          public java.lang.Double blueGain

    - #### redOffset

          public java.lang.Double redOffset

    - #### greenOffset

          public java.lang.Double greenOffset

    - #### blueOffset

          public java.lang.Double blueOffset

    - #### channelNames

          public java.util.ArrayList<java.lang.String> channelNames

    - #### channelWavelengths

          public java.util.ArrayList<java.lang.Double> channelWavelengths

    - #### exposureTimes

          public java.util.ArrayList<java.lang.Long> exposureTimes

    - #### otherExposureTimes

          public transient java.util.ArrayList<java.lang.Long> otherExposureTimes

    - #### defaultExposureTime

          public java.lang.Long defaultExposureTime

    - #### objectiveNames

          public java.util.ArrayList<java.lang.String> objectiveNames

    - #### objectiveTypes

          public java.util.ArrayList<java.lang.Integer> objectiveTypes

    - #### deviceNames

          public java.util.ArrayList<java.lang.String> deviceNames

    - #### deviceTypes

          public java.util.ArrayList<java.lang.String> deviceTypes

    - #### deviceIDs

          public java.util.ArrayList<java.lang.String> deviceIDs

    - #### deviceManufacturers

          public java.util.ArrayList<java.lang.String> deviceManufacturers

    - #### originalMetadata

          public java.util.Hashtable<java.lang.String,java.lang.Object> originalMetadata

    - #### dimensionOrdering

          public java.util.HashMap<java.lang.String,java.lang.Integer> dimensionOrdering

    - #### zStart

          public transient java.lang.Double zStart

    - #### zIncrement

          public transient java.lang.Double zIncrement

    - #### zValues

          public transient java.util.ArrayList<java.lang.Double> zValues

    - #### tValues

          public transient java.util.ArrayList<java.lang.Double> tValues

    - #### HasAssociatedEtsFile

          public boolean HasAssociatedEtsFile

  - ### Constructor Detail

    - #### Pyramid

          Pyramid()

Copyright © 2026 Open Microscopy Environment